tigase.server.monitor

## Class MonitorRuntime

- java.lang.Object
- - tigase.sys.TigaseRuntime
  - - tigase.server.monitor.MonitorRuntime

-     public class MonitorRuntime
      extends TigaseRuntime

  Created: Feb 19, 2009 12:31:14 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.sys.TigaseRuntime

      `HOUR, MINUTE, SECOND`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCPULoadListener(CPULoadListener cpuListener)`
    `void` | `addMemoryChangeListener(MemoryChangeListener memListener)`
    `void` | `addOnlineJidsReporter(OnlineJidsReporter onlineReporter)`
    `void` | `addShutdownHook(ShutdownHook hook)`
    `tigase.xmpp.JID[]` | `getConnectionIdsForJid(tigase.xmpp.JID jid)`
    `static MonitorRuntime` | `getMonitorRuntime()`
    `boolean` | `hasCompleteJidsInfo()`
    `boolean` | `isJidOnline(tigase.xmpp.JID jid)`

    - ### Methods inherited from class tigase.sys.TigaseRuntime

      `getCPUsNumber, getCPUState, getCPUUsage, getHeapMemMax, getHeapMemUsage, getHeapMemUsed, getLoadAverage, getMemoryState, getNonHeapMemMax, getNonHeapMemUsage, getNonHeapMemUsed, getProcessCPUTime, getThreadsNumber, getTigaseRuntime, getUptime, getUptimeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMonitorRuntime

          public static MonitorRuntime getMonitorRuntime()

    - #### addShutdownHook

          public void addShutdownHook(ShutdownHook hook)

      Specified by:
        `addShutdownHook` in class `TigaseRuntime`

    - #### addMemoryChangeListener

          public void addMemoryChangeListener(MemoryChangeListener memListener)

      Specified by:
        `addMemoryChangeListener` in class `TigaseRuntime`

    - #### addCPULoadListener

          public void addCPULoadListener(CPULoadListener cpuListener)

      Specified by:
        `addCPULoadListener` in class `TigaseRuntime`

    - #### addOnlineJidsReporter

          public void addOnlineJidsReporter(OnlineJidsReporter onlineReporter)

      Specified by:
        `addOnlineJidsReporter` in class `TigaseRuntime`

    - #### hasCompleteJidsInfo

          public boolean hasCompleteJidsInfo()

      Specified by:
        `hasCompleteJidsInfo` in class `TigaseRuntime`

    - #### isJidOnline

          public boolean isJidOnline(tigase.xmpp.JID jid)

      Specified by:
        `isJidOnline` in class `TigaseRuntime`

    - #### getConnectionIdsForJid

          public tigase.xmpp.JID[] getConnectionIdsForJid(tigase.xmpp.JID jid)

      Specified by:
        `getConnectionIdsForJid` in class `TigaseRuntime`
      Parameters:
        `jid` -
      Returns:

Copyright © 2013 Tigase. All rights reserved.